Gensprite
Partners

Record payment confirmation or cancellation

POST
/v1/partners/admin/payouts/{id}/complete

Authorization

sessionCookie
better-auth.session_token<token>

Browser session, set on .gensprite.ai and sent automatically. Web frontend only.

In: cookie

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/partners/admin/payouts/string/complete" \  -H "Content-Type: application/json" \  -d '{    "status": "paid",    "externalReference": "stringst"  }'
{  "property1": null,  "property2": null}